---@meta

---@class ABP_ScrewHole_C : AActor
---@field UberGraphFrame FPointerToUberGraphFrame
---@field DrillPoint USceneComponent
---@field Cube UStaticMeshComponent
---@field Screw UStaticMeshComponent
---@field Hole UStaticMeshComponent
---@field DefaultSceneRoot USceneComponent
---@field ScrewAmount double
---@field UpdateScrewPosition FBP_ScrewHole_CUpdateScrewPosition
---@field ScrewedIn FBP_ScrewHole_CScrewedIn
---@field ScrewedOut FBP_ScrewHole_CScrewedOut
---@field ScrewingPlayer ABP_FirstPersonCharacter_C
---@field IsScrewedIn boolean
---@field ScrewAmountVisual double
---@field Wheel UVehicle_Wheel_C
---@field NewVar boolean
---@field ScrewInTimer FTimerHandle
---@field ScrewOutTimer FTimerHandle
local ABP_ScrewHole_C = {}

---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
function ABP_ScrewHole_C:GetAttachedToPlayerInteractionTexts(PickedUpPlayerInteractions) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
---@param IMC UInputMappingContext
function ABP_ScrewHole_C:GetPickedUpPlayerInteractionTexts(PickedUpPlayerInteractions, IMC) end
---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function ABP_ScrewHole_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param UseCustomBrush boolean
---@param Brush FSlateBrush
function ABP_ScrewHole_C:GetCustomCrosshair(UseCustomBrush, Brush) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_ScrewHole_C:IsAttachPointBlocking(PickUpObject, Success) end
---@param PlacementTransform FTransform
---@param Success boolean
function ABP_ScrewHole_C:PlaceActor(PlacementTransform, Success) end
---@param ImpulseStrength FVector
---@param Location FVector
---@param Success boolean
function ABP_ScrewHole_C:AddImpulseAtLocation(ImpulseStrength, Location, Success) end
---@param IsPickupable boolean
function ABP_ScrewHole_C:IsPickupable(IsPickupable) end
---@param Success boolean
function ABP_ScrewHole_C:ShouldUseHoldTransform(Success) end
---@param Success boolean
---@param DisplayName FText
function ABP_ScrewHole_C:GetDisplayName(Success, DisplayName) end
---@param InstigatingPlayer ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_ScrewHole_C:SecondaryInteract(InstigatingPlayer, Success) end
---@param ImpulseStrength FVector
---@param Success boolean
function ABP_ScrewHole_C:AddImpulse(ImpulseStrength, Success) end
---@param Player ABP_FirstPersonCharacter_C
---@param BlockInteraction boolean
function ABP_ScrewHole_C:BlockInteraction(Player, BlockInteraction) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_ScrewHole_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param Success boolean
---@param PrimitiveComponent UPrimitiveComponent
function ABP_ScrewHole_C:GetPhysicsMesh(Success, PrimitiveComponent) end
---@param Success boolean
function ABP_ScrewHole_C:SetPickedUpPhysicsState(Success) end
---@param Success boolean
function ABP_ScrewHole_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
---@param Transform FTransform
function ABP_ScrewHole_C:GetCustomHoldTransform(Success, Transform) end
---@param Success boolean
function ABP_ScrewHole_C:SetAttachedPhysicsState(Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param PlayerAttaching ABP_FirstPersonCharacter_C
---@param SocketName FName
---@param Success boolean
function ABP_ScrewHole_C:AttachByPlayer(Parent, RelativeTransform, PlayerAttaching, SocketName, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param Success boolean
function ABP_ScrewHole_C:ForceAttach(Parent, RelativeTransform, Success) end
---@param destroy boolean
---@param Success boolean
function ABP_ScrewHole_C:ForceDetach(destroy, Success) end
---@param ActorHitting AActor
---@param Hit FHitResult
---@param ImpulseVector FVector
---@param DamageResults FST_Damage_Results
---@param Success boolean
function ABP_ScrewHole_C:Hit(ActorHitting, Hit, ImpulseVector, DamageResults, Success) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_ScrewHole_C:CanPickUpObjectBeAttachedToLookAtObject(PickUpObject, Success) end
---@param Success boolean
---@param AttachType FGameplayTagContainer
function ABP_ScrewHole_C:GetObjectAttachType(Success, AttachType) end
---@param AttachPointState FGameplayTag
---@param Success boolean
function ABP_ScrewHole_C:SetAttachPointState(AttachPointState, Success) end
---@param Success boolean
---@param AttachPointState FGameplayTag
function ABP_ScrewHole_C:GetAttachPointState(Success, AttachPointState) end
---@param Success boolean
---@param CustomAttachComponent USceneComponent
function ABP_ScrewHole_C:GetCustomAttachComponent(Success, CustomAttachComponent) end
---@param AttachParent AActor
---@param Success boolean
---@param CustomAttachTransform FTransform
function ABP_ScrewHole_C:GetCustomAttachTransform(AttachParent, Success, CustomAttachTransform) end
---@param NewTransform FTransform
---@param Success boolean
function ABP_ScrewHole_C:SetNewAttachTransform(NewTransform, Success) end
---@param Success boolean
---@param CharacterPose E_CharacterPose::Type
---@param CharacterPoseAnim UAnimSequenceBase
function ABP_ScrewHole_C:GetCharacterPose(Success, CharacterPose, CharacterPoseAnim) end
---@param Success boolean
function ABP_ScrewHole_C:Explode(Success) end
---@param ThirdPersonDummyClass TSubclassOf<ABP_ThirdPersonDummy_C>
function ABP_ScrewHole_C:GetThirdPersonDummyClass(ThirdPersonDummyClass) end
---@param Mesh UStaticMesh
---@param DynamicMaterial UMaterialInstanceDynamic
function ABP_ScrewHole_C:GetVisuals(Mesh, DynamicMaterial) end
---@param FPPOffset FTransform
---@param TPPOffset FTransform
---@param Success boolean
function ABP_ScrewHole_C:GetAttachOffset(FPPOffset, TPPOffset, Success) end
---@param Success boolean
---@param AcceptedDamageTypes FGameplayTagContainer
function ABP_ScrewHole_C:GetAcceptedDamageTypes(Success, AcceptedDamageTypes) end
---@param RepairTarget AActor
---@param RepairTool ABP_Interactable_Actor_C
---@param Success boolean
function ABP_ScrewHole_C:Repair(RepairTarget, RepairTool, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param Success boolean
function ABP_ScrewHole_C:StopInteract(PlayerCharacter, HitResult, Success) end
function ABP_ScrewHole_C:ClearTimers() end
function ABP_ScrewHole_C:OnRep_ScrewAmount() end
function ABP_ScrewHole_C:Internal_UpdateScrewVisuals() end
---@param ScrewAmountVisual double
function ABP_ScrewHole_C:SetScrewVisual(ScrewAmountVisual) end
function ABP_ScrewHole_C:OnRep_IsScrewedIn() end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_ScrewHole_C:CallBackPrimaryFire(Player, Stop) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_ScrewHole_C:CallBackSecondaryFire(Player, Stop) end
---@param TagsToAdd FGameplayTagContainer
---@param TagsToRemove FGameplayTagContainer
function ABP_ScrewHole_C:AssignGamePlayTags(TagsToAdd, TagsToRemove) end
---@param Heat int32
function ABP_ScrewHole_C:StartCooking(Heat) end
function ABP_ScrewHole_C:StopCooking() end
function ABP_ScrewHole_C:ReceiveBeginPlay() end
---@param ScrewAmount double
---@param PlayerScrewing ABP_FirstPersonCharacter_C
function ABP_ScrewHole_C:UpdateScrewAmountFromDrill(ScrewAmount, PlayerScrewing) end
---@param ScrewAmount double
function ABP_ScrewHole_C:UpdateScrewAmountFromDamage(ScrewAmount) end
---@param ScrewingPlayer ABP_FirstPersonCharacter_C
function ABP_ScrewHole_C:Multicast_StartScrewInAnim(ScrewingPlayer) end
---@param ScrewingPlayer ABP_FirstPersonCharacter_C
function ABP_ScrewHole_C:Multicast_StartScrewOutAnim(ScrewingPlayer) end
function ABP_ScrewHole_C:ScrewIn() end
function ABP_ScrewHole_C:ScrewOut() end
---@param ScrewingPlayer ABP_FirstPersonCharacter_C
function ABP_ScrewHole_C:Multicast_StopScrewing(ScrewingPlayer) end
function ABP_ScrewHole_C:Multicast_ScrewingCompleted() end
---@param EntryPoint int32
function ABP_ScrewHole_C:ExecuteUbergraph_BP_ScrewHole(EntryPoint) end
---@param ScrewHolle ABP_ScrewHole_C
function ABP_ScrewHole_C:ScrewedOut__DelegateSignature(ScrewHolle) end
---@param ScrewHole ABP_ScrewHole_C
---@param PlayerScrewing ABP_FirstPersonCharacter_C
function ABP_ScrewHole_C:ScrewedIn__DelegateSignature(ScrewHole, PlayerScrewing) end
---@param ScrewAmount double
---@param ScrewHole ABP_ScrewHole_C
function ABP_ScrewHole_C:UpdateScrewPosition__DelegateSignature(ScrewAmount, ScrewHole) end


